Subject: [Roll] RPL and extension headers with trickle multicast

From: Melvin A <[email-masked]>
Date: Wed, 25 Jan 2012 13:09:24 -0600

I have question regarding the RPL extensions (*draft-ietf-6man-rpl-option-06
*) and trickle multicast (*draft-ietf-roll-trickle-mcast-00*)

Both of the documents listed above expects data packets to have very
different information in the IPv6 Hop-by-hop option header . The
draft-ietf-6man-rpl-option-06* *expects packet direction, RPLInstanceID,
etc, whereas draft-ietf-roll-trickle-mcast-00 expects SeedID, Sequence,
etc.

Are the expectations for a (storing-mode with multicast support RPL
implementation) multicast data packet  to have two (2) hop-by-hop headers?
If the answer to the previous question is "yes" wouldn't that conflict with
RFC-2640 Section 4.1 "Each extension header should occur at most once,
except for the    Destination Options header which should occur at most
twice"?
If the answer is "no" what are the expectations on what to included in the
data messages?

Thanks in advance
Melvin R Aguirre

---

From: "Dijk, Esko" <[email-masked]>
Date: Thu, 26 Jan 2012 10:22:57 +0000

Hello Melvin,

I would assume that in your described case the two options are present in the same IPv6 Hop-by-hop Options header:

1.       RPL Option

2.       Trickle Multicast Option

You describe a router implementation that basically includes two possible ways to route multicast packets: RPL and Trickle multicast.  I assume a router may also select only one of these two mechanisms for routing a multicast packet e.g. depending on destination?

regards,
Esko

Esko Dijk

Philips Corporate Technologies, Research
High Tech Campus 34, Eindhoven, The Netherlands
[email-masked]

From: [email-masked] [mailto:[email-masked]] On Behalf Of Melvin A
Sent: Wednesday 25 January 2012 20:09
To: [email-masked]
Subject: [Roll] RPL and extension headers with trickle multicast

I have question regarding the RPL extensions (draft-ietf-6man-rpl-option-06) and trickle multicast (draft-ietf-roll-trickle-mcast-00)

Both of the documents listed above expects data packets to have very different information in the IPv6 Hop-by-hop option header . The draft-ietf-6man-rpl-option-06 expects packet direction, RPLInstanceID, etc, whereas draft-ietf-roll-trickle-mcast-00 expects SeedID, Sequence, etc.

Are the expectations for a (storing-mode with multicast support RPL implementation) multicast data packet  to have two (2) hop-by-hop headers?
If the answer to the previous question is "yes" wouldn't that conflict with RFC-2640 Section 4.1 "Each extension header should occur at most once, except for the    Destination Options header which should occur at most twice"?
If the answer is "no" what are the expectations on what to included in the data messages?

Thanks in advance
Melvin R Aguirre

________________________________
The information contained in this message may be confidential and legally protected under applicable law. The message is intended solely for the addressee(s). If you are not the intended recipient, you are hereby notified that any use, forwarding, dissemination, or reproduction of this message is strictly prohibited and may be unlawful. If you are not the intended recipient, please contact the sender by return e-mail and destroy all copies of the original message.